## Scoring Scripts

For Subtask 1, in which we ask participants to predict the change in similarity scores between the two contexts, the sign of the results is very important as it determines the direction of change predicted. In this case we use the uncentered variation of the Pearson correlation, calculated using the standard deviation from zero rather than from the mean value. 

For Subtask2, following the example of 'SemEval 2017 Task 2: Multilingual and Cross-lingual Semantic Word Similarity' (Camacho-Collados et al., 2017) we are scoring the results using the harmonic mean of the Pearson and Spearman correlations.

We provide scoring scripts that accurately replicate the ones uploaded to Codalab. They use the gold reference, baselines and example submissions included with the trial data ('gold', 'submission_subtask1' and 'submission_subtask2' folders respectively). You just need python 3 and very standard libraries to run them.
